package com.bonus.canteen.core.android.service;

import com.bonus.canteen.core.android.domain.BaseSetting;
import com.bonus.canteen.core.android.domain.CarouselImage;
import com.bonus.canteen.core.android.dto.AppDTO;
import com.bonus.common.core.web.domain.AjaxResult;

import java.util.List;

public interface BaseSettingService {

    AjaxResult addBaseSetting(BaseSetting baseSetting);

    int updateBaseSettingByKey(BaseSetting baseSetting);

    int deleteBaseSettingByKey(BaseSetting baseSetting);



    BaseSetting getBaseSettingByKey(BaseSetting baseSetting);

    int addCarouseImage(CarouselImage carouselImage);


    int delCarouseImageById(CarouselImage carouselImage);

    int updateCarouseImageById(CarouselImage carouselImage);

    List<CarouselImage> getCarouselImage(CarouselImage carouselImage);

}
